Index: NEMO/branches/2020/dev_r13333_KERNEL-08_techene_gm_HPG_SPG/cfgs/SHARED/namelist_ref
===================================================================
--- NEMO/branches/2020/dev_r13333_KERNEL-08_techene_gm_HPG_SPG/cfgs/SHARED/namelist_ref	(revision 14044)
+++ NEMO/branches/2020/dev_r13333_KERNEL-08_techene_gm_HPG_SPG/cfgs/SHARED/namelist_ref	(revision 14062)
@@ -998,8 +998,10 @@
    ln_dynvor_eeT = .false. !  energy conserving scheme (een using e3t)
    ln_dynvor_een = .false. !  energy & enstrophy scheme
-      nn_een_e3f = 0          ! =0  e3f = mi(mj(e3t))/4
-      !                       ! =1  e3f = mi(mj(e3t))/mi(mj( tmask))
+   !
    ln_dynvor_msk = .false. !  vorticity multiplied by fmask (=T)        ==>>> PLEASE DO NOT ACTIVATE
-      !                    !  (f-point vorticity schemes only)
+   !                       !  (f-point vorticity schemes only)
+   !
+   nn_e3f_typ = 0          !  type of e3f (EEN, ENE, ENS, MIX only)  =0  e3f = mi(mj(e3t))/4
+   !                       !                                         =1  e3f = mi(mj(e3t))/mi(mj( tmask))
 /
 !-----------------------------------------------------------------------
@@ -1011,4 +1013,6 @@
    ln_hpg_isf  = .false.   !  s-coordinate (sco ) adapted to isf
    ln_hpg_djc  = .false.   !  s-coordinate (Density Jacobian with Cubic polynomial)
+      ln_hpg_djc_vnh = .true.  !  hor.  bc type for djc scheme (T=von Neumann, F=linear extrapolation)
+      ln_hpg_djc_vnv = .true.  !  vert. bc type for djc scheme (T=von Neumann, F=linear extrapolation)
    ln_hpg_prj  = .false.   !  s-coordinate (Pressure Jacobian scheme)
 /
@@ -1033,4 +1037,5 @@
    !                       !  Type of the operator :
    ln_dynldf_OFF = .false.     !  No operator (i.e. no explicit diffusion)
+   nn_dynldf_typ = 0           !  =0 div-rot (default)   ;   =1 symmetric
    ln_dynldf_lap = .false.     !    laplacian operator
    ln_dynldf_blp = .false.     !  bilaplacian operator
@@ -1163,8 +1168,8 @@
    ln_mxl0     = .true.    !  surface mixing length scale = F(wind stress) (T) or not (F)
       nn_mxlice    = 2        ! type of scaling under sea-ice
-                              !    = 0 no scaling under sea-ice
-                              !    = 1 scaling with constant sea-ice thickness
-                              !    = 2 scaling with mean sea-ice thickness ( only with SI3 sea-ice model )
-                              !    = 3 scaling with maximum sea-ice thickness
+      !                       !    = 0 no scaling under sea-ice
+      !                       !    = 1 scaling with constant sea-ice thickness
+      !                       !    = 2 scaling with mean sea-ice thickness ( only with SI3 sea-ice model )
+      !                       !    = 3 scaling with maximum sea-ice thickness
       rn_mxlice   = 10.       ! max constant ice thickness value when scaling under sea-ice ( nn_mxlice=1)
    rn_mxl0     =   0.04    !  surface  buoyancy lenght scale minimum value
@@ -1173,11 +1178,11 @@
       rn_lc       =   0.15    !  coef. associated to Langmuir cells
    nn_etau     =   1       !  penetration of tke below the mixed layer (ML) due to NIWs
-                              !        = 0 none ; = 1 add a tke source below the ML
-                              !        = 2 add a tke source just at the base of the ML
-                              !        = 3 as = 1 applied on HF part of the stress           (ln_cpl=T)
+   !                          !        = 0 none ; = 1 add a tke source below the ML
+   !                          !        = 2 add a tke source just at the base of the ML
+   !                          !        = 3 as = 1 applied on HF part of the stress           (ln_cpl=T)
       rn_efr      =   0.05    !  fraction of surface tke value which penetrates below the ML (nn_etau=1 or 2)
       nn_htau     =   1       !  type of exponential decrease of tke penetration below the ML
-                              !        = 0  constant 10 m length scale
-                              !        = 1  0.5m at the equator to 30m poleward of 40 degrees
+      !                       !        = 0  constant 10 m length scale
+      !                       !        = 1  0.5m at the equator to 30m poleward of 40 degrees
    nn_eice     =   1       !  attenutaion of langmuir & surface wave breaking under ice
    !                       !           = 0 no impact of ice cover on langmuir & surface wave breaking
@@ -1216,7 +1221,9 @@
 &namzdf_osm    !   OSM vertical diffusion                               (ln_zdfosm =T)
 !-----------------------------------------------------------------------
-   ln_use_osm_la = .false.      !  Use namelist  rn_osm_la
+   ln_use_osm_la = .false.     !  Use   rn_osm_la
    rn_osm_la     = 0.3         !  Turbulent Langmuir number
-   rn_osm_dstokes     = 5.     !  Depth scale of Stokes drift (m)
+   rn_zdfosm_adjust_sd = 1.0   ! Stokes drift reduction factor
+   rn_osm_hblfrac = 0.1        ! specify top part of hbl for nn_osm_wave = 3 or 4
+   rn_osm_bl_thresh   = 5.e-5      !Threshold buoyancy for deepening of OSBL base
    nn_ave = 0                  ! choice of horizontal averaging on avt, avmu, avmv
    ln_dia_osm = .true.         ! output OSMOSIS-OBL variables
@@ -1226,10 +1233,31 @@
    rn_difri  =  0.005          ! max Ri# diffusivity at Ri_g = 0 (m^2/s)
    ln_convmix  = .true.        ! Use convective instability mixing below BL
-   rn_difconv = 1.             ! diffusivity when unstable below BL  (m2/s)
+   rn_difconv = 1. !0.01 !1.             ! diffusivity when unstable below BL  (m2/s)
+   rn_osm_dstokes     = 5.     !  Depth scale of Stokes drift (m)
    nn_osm_wave = 0             ! Method used to calculate Stokes drift
       !                        !  = 2: Use ECMWF wave fields
       !                        !  = 1: Pierson Moskowitz wave spectrum
       !                        !  = 0: Constant La# = 0.3
-/
+   nn_osm_SD_reduce = 0        ! Method used to get active Stokes drift from surface value
+      !                        !  = 0: No reduction
+                               !  = 1: use SD avged over top 10% hbl
+                               !  = 2:use surface value of SD fit to slope at rn_osm_hblfrac*hbl below surface
+   ln_zdfosm_ice_shelter = .true.  ! reduce surface SD and depth scale under ice
+   ln_osm_mle = .false.        !  Use integrated FK-OSM model
+/
+!-----------------------------------------------------------------------
+&namosm_mle    !   mixed layer eddy parametrisation (Fox-Kemper)       (default: OFF)
+!-----------------------------------------------------------------------
+   rn_osm_mle_ce       = 0.06      ! magnitude of the MLE (typical value: 0.06 to 0.08)
+   nn_osm_mle          = 0         ! MLE type: =0 standard Fox-Kemper ; =1 new formulation
+   rn_osm_mle_lf       = 5.e+3     ! typical scale of mixed layer front (meters)                      (case rn_osm_mle=0)
+   rn_osm_mle_time     = 172800.   ! time scale for mixing momentum across the mixed layer (seconds)  (case rn_osm_mle=0)
+   rn_osm_mle_lat      = 20.       ! reference latitude (degrees) of MLE coef.                        (case rn_mle=1)
+   rn_osm_mle_rho_c =    0.01      ! delta rho criterion used to calculate MLD for FK
+   rn_osm_mle_thresh  = 0.0005     ! delta b criterion used for FK MLE criterion
+   rn_osm_mle_tau     = 172800.    ! time scale for FK-OSM (seconds)  (case rn_osm_mle=0)
+   ln_osm_hmle_limit   = .false.   ! limit hmle to rn_osm_hmle_limit*hbl
+   rn_osm_hmle_limit   = 1.2
+   /
 !-----------------------------------------------------------------------
 &namzdf_mfc     !   Mass Flux Convection
@@ -1374,4 +1402,5 @@
    ln_sstnight = .false.             ! Logical switch for calculating night-time average for SST obs
    ln_bound_reject  = .false.        ! Logical to remove obs near boundaries in LAMs.
+   ln_default_fp_indegs = .true.     ! Logical: T=> averaging footprint is in degrees, F=> in metres
    ln_sla_fp_indegs = .true.         ! Logical for SLA: T=> averaging footprint is in degrees, F=> in metres
    ln_sst_fp_indegs = .true.         ! Logical for SST: T=> averaging footprint is in degrees, F=> in metres
@@ -1389,4 +1418,6 @@
    cn_gridsearchfile ='gridsearch.nc' ! Grid search file name
    rn_gridsearchres = 0.5            ! Grid search resolution
+   rn_default_avglamscl = 0.         ! Default E/W diameter of observation footprint (metres/degrees)
+   rn_default_avgphiscl = 0.         ! Default N/S diameter of observation footprint (metres/degrees)
    rn_mdtcorr  = 1.61                ! MDT  correction
    rn_mdtcutoff = 65.0               ! MDT cutoff for computed correction
@@ -1402,5 +1433,5 @@
    rn_sic_avgphiscl = 0.             ! N/S diameter of SIC observation footprint (metres/degrees)
    nn_1dint = 0                      ! Type of vertical interpolation method
-   nn_2dint = 0                      ! Default horizontal interpolation method
+   nn_2dint_default = 0              ! Default horizontal interpolation method
    nn_2dint_sla = 0                  ! Horizontal interpolation method for SLA
    nn_2dint_sst = 0                  ! Horizontal interpolation method for SST
